curl -X POST "https://api.finscreener.in/api/crm/newlead" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entity_type": "gst",
"identifier": "27AABCU9603R1ZM"
}'
{
"success": true,
"entity_type": "gst",
"identifier": "27AABCU9603R1ZM",
"lead": {
"Last_Name": "EXAMPLE TRADERS",
"Company": "EXAMPLE TRADERS",
"Email": "contact@example.com",
"Phone": null,
"City": "Mumbai",
"State": "Maharashtra",
"Lead_Source": "Finscreener",
"GSTIN": "27AABCU9603R1ZM"
},
"full_data": {
"company": null,
"directors": [],
"gst": [
{
"GSTIN": "27AABCU9603R1ZM",
"TradeName": "EXAMPLE TRADERS",
"Status": "Active"
}
]
}
}
CRM Integration
Get Entity as Lead
Convert any entity to Zoho lead format
POST
/
api
/
crm
/
newlead
curl -X POST "https://api.finscreener.in/api/crm/newlead" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entity_type": "gst",
"identifier": "27AABCU9603R1ZM"
}'
{
"success": true,
"entity_type": "gst",
"identifier": "27AABCU9603R1ZM",
"lead": {
"Last_Name": "EXAMPLE TRADERS",
"Company": "EXAMPLE TRADERS",
"Email": "contact@example.com",
"Phone": null,
"City": "Mumbai",
"State": "Maharashtra",
"Lead_Source": "Finscreener",
"GSTIN": "27AABCU9603R1ZM"
},
"full_data": {
"company": null,
"directors": [],
"gst": [
{
"GSTIN": "27AABCU9603R1ZM",
"TradeName": "EXAMPLE TRADERS",
"Status": "Active"
}
]
}
}
Get a GST registration formatted as a Zoho CRM lead.
Requires an active subscription with access to recently registered data:
gst→ Requires Recent_GST feature
Headers
Bearer token:
Bearer <access_token>Request Body
Entity type:
gstEntity identifier (GSTIN)
curl -X POST "https://api.finscreener.in/api/crm/newlead" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"entity_type": "gst",
"identifier": "27AABCU9603R1ZM"
}'
{
"success": true,
"entity_type": "gst",
"identifier": "27AABCU9603R1ZM",
"lead": {
"Last_Name": "EXAMPLE TRADERS",
"Company": "EXAMPLE TRADERS",
"Email": "contact@example.com",
"Phone": null,
"City": "Mumbai",
"State": "Maharashtra",
"Lead_Source": "Finscreener",
"GSTIN": "27AABCU9603R1ZM"
},
"full_data": {
"company": null,
"directors": [],
"gst": [
{
"GSTIN": "27AABCU9603R1ZM",
"TradeName": "EXAMPLE TRADERS",
"Status": "Active"
}
]
}
}
⌘I